# [2.1.0](https://github.com/mooyoul/aws-cdk-ses-domain-identity/compare/v2.0.0...v2.1.0) (2024-01-13)


### Bug Fixes

* **release:** bypass commitlint hooks to prevent publish failure ([31f3f13](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/31f3f1334bb8321ea8a55822aa9874a9ffd741d1))


### Features

* update to Node.js v20 ([#82](https://github.com/mooyoul/aws-cdk-ses-domain-identity/issues/82)) ([dbb14bb](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/dbb14bbb202f325717879567822915d8a88d0159))

# [2.0.0](https://github.com/mooyoul/aws-cdk-ses-domain-identity/compare/v1.1.0...v2.0.0) (2022-02-22)


### Features

* migrate to CDK v2 ([c01e581](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/c01e581d2fbf0ddb58f4e90dbb67ef644d0097bc)), closes [#37](https://github.com/mooyoul/aws-cdk-ses-domain-identity/issues/37)


### BREAKING CHANGES

* Requires CDK v2

# [1.1.0](https://github.com/mooyoul/aws-cdk-ses-domain-identity/compare/v1.0.6...v1.1.0) (2022-02-22)


### Features

* add `identityArn` property ([6c1b938](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/6c1b938a61feba472c22b3336cc9de5e7f1f2894)), closes [#8](https://github.com/mooyoul/aws-cdk-ses-domain-identity/issues/8)
* update requestor function to use Node.js 14 ([71decd1](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/71decd18c9529f3c046038dee295d7da7e4f8288))

## [1.0.6](https://github.com/mooyoul/aws-cdk-ses-domain-identity/compare/v1.0.5...v1.0.6) (2021-09-30)


### Bug Fixes

* refactor [#30](https://github.com/mooyoul/aws-cdk-ses-domain-identity/issues/30) with FQDN usage for Route53 record name ([ace6085](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/ace6085456b9740bf5e2faa4d6e1d2d6218a0c24))
* respect existing TXT records ([#31](https://github.com/mooyoul/aws-cdk-ses-domain-identity/issues/31)) ([8635dda](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/8635ddaab94c2e83cbfae344b9403050b6356688))

## [1.0.5](https://github.com/mooyoul/aws-cdk-ses-domain-identity/compare/v1.0.4...v1.0.5) (2021-05-08)


### Bug Fixes

* **delete-record:** removing the ommitting of required parameters from DELETE record ([#16](https://github.com/mooyoul/aws-cdk-ses-domain-identity/issues/16)) ([af62caa](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/af62caabe18b36f7f5f2bca1b1c1e7ac96c080b3))

## [1.0.4](https://github.com/mooyoul/aws-cdk-ses-domain-identity/compare/v1.0.3...v1.0.4) (2020-07-06)


### Bug Fixes

* **iam:** fix missing IAM action for setting DKIM enabled ([ec9325f](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/ec9325ffc27d874128bd4e6a4b7aea6d224daad5))

## [1.0.3](https://github.com/mooyoul/aws-cdk-ses-domain-identity/compare/v1.0.2...v1.0.3) (2020-06-28)


### Bug Fixes

* **iam:** fix invalid IAM action name for querying SES Domain Validation ([d693380](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/d693380dab2f83c9906e2e9922ab9539f0434c7e))

## [1.0.2](https://github.com/mooyoul/aws-cdk-ses-domain-identity/compare/v1.0.1...v1.0.2) (2020-06-12)


### Bug Fixes

* **deps:** fix invalid CDK version in peer dependency list ([85e7d96](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/85e7d969ca06eac696349a2fa6b7d88ed53ffeca))

## [1.0.1](https://github.com/mooyoul/aws-cdk-ses-domain-identity/compare/v1.0.0...v1.0.1) (2020-06-12)


### Bug Fixes

* **iam:** add addtional required SES IAM actions ([ca41f94](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/ca41f94e62e2a271e367d748be8b0c5a8efce882))
* **typing:** fix broken types location ([9162f52](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/9162f52793ee45e78dc09f9804f12eb315859322))

# 1.0.0 (2020-06-09)


### Features

* initial commit ([c6ca45e](https://github.com/mooyoul/aws-cdk-ses-domain-identity/commit/c6ca45e9d153fa6b7e68c2f71f045e4926e0f4ee))
